## org.eclipse.datatools.sqltools.sqleditor.sql
Class AbstractSQLEditorTextHover

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.sql.AbstractSQLEditorTextHover

All Implemented Interfaces:
  org.eclipse.jface.text.ITextHover, org.eclipse.jface.text.ITextHoverExtension

Direct Known Subclasses:
  BestMatchHover, SQLAnnotationHover, SQLDebugHover

    public abstract class AbstractSQLEditorTextHover

extends java.lang.Object
implements org.eclipse.jface.text.ITextHover, org.eclipse.jface.text.ITextHoverExtension

Provides a common base class for all text hovers of SQL Editor.

Author:
  Hui Cao

Constructor Summary
`AbstractSQLEditorTextHover()`

Method Summary
`org.eclipse.jface.text.IInformationControlCreator` `getHoverControlCreator()`
`org.eclipse.jface.text.IRegion` `getHoverRegion(org.eclipse.jface.text.ITextViewer textViewer, int offset)`
`abstract void` `setEditor(org.eclipse.ui.IEditorPart editor)` Associates a SQL editor with this hover.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.text.ITextHover
`getHoverInfo`

Constructor Detail

### AbstractSQLEditorTextHover

    public AbstractSQLEditorTextHover()

Method Detail

### setEditor

    public abstract void setEditor(org.eclipse.ui.IEditorPart editor)

  Associates a SQL editor with this hover. Subclass can cache it for later use.

  Parameters:
    `editor` -

### getHoverControlCreator

    public org.eclipse.jface.text.IInformationControlCreator getHoverControlCreator()

  Specified by:
    `getHoverControlCreator` in interface `org.eclipse.jface.text.ITextHoverExtension`

### getHoverRegion

    public org.eclipse.jface.text.IRegion getHoverRegion(org.eclipse.jface.text.ITextViewer textViewer,
                                                         int offset)

  Specified by:
    `getHoverRegion` in interface `org.eclipse.jface.text.ITextHover`